Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get images

Lists images (minimal fields) with pagination, sorting and filtering.

GET/api/v2/{team_slug}/{app_slug}/dam/images
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
Query parameters
pageinteger
per-pageinteger
searchstring

Search by filename, title or alt text

statusstring
folder-idstring
image-idstring[]

Repeatable image id

attribute-idstring[]

Repeatable attribute id

sort-keystring

Sort key: created_at, updated_at, title, alt (default created_at)

sort-orderstring

Sort order: asc, desc (default desc)

Responses
200

OK

dataImageBase[]required
Show properties
Array of ImageBase
idUUIDrequired
urlstringrequired
filenamestringrequired
titlestring | null
altstring | null
copyrightstring | null
statusstringrequired
publicbooleanrequired
created_with_aibooleanrequired
blurhashstring | null
customobject | null
folder_idUUIDrequired
parent_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
created_atstring<date-time>required
updated_atstring<date-time> | null
total_pagesintegerrequired
total_itemsintegerrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/dam/images' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "url": "string",
      "filename": "string",
      "title": "string",
      "alt": "string",
      "copyright": "string",
      "status": "string",
      "public": true,
      "created_with_ai": true,
      "blurhash": "string",
      "custom": {
        "property1": "string",
        "property2": "string"
      },
      "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901",
      "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total_pages": 0,
  "total_items": 0
}